import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { AddDownloadableProductsToCartInput, AddDownloadableProductsToCartMutation } from '../../types/GraphQL';
/**
 * Adds a set of downloadable products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function addDownloadableProductsToCart(context: Context, input: AddDownloadableProductsToCartInput, customQuery?: CustomQuery): Promise<FetchResult<AddDownloadableProductsToCartMutation>>;
