import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { Context } from '../../types/context';
import { AddProductsToCartMutation, CartItemInput } from '../../types/GraphQL';
export declare type AddProductsToCartInput = {
    cartId: string;
    cartItems: CartItemInput[];
};
/**
 * Adds products to the specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function addProductsToCart(context: Context, input: AddProductsToCartInput, customQuery?: CustomQuery): Promise<FetchResult<AddProductsToCartMutation>>;
