import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { AddVirtualProductsToCartInput, AddVirtualProductsToCartMutation } from '../../types/GraphQL';
/**
 * Adds a set of virtual products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to add
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function addVirtualProductsToCart(context: Context, input: AddVirtualProductsToCartInput, customQuery?: CustomQuery): Promise<FetchResult<AddVirtualProductsToCartMutation>>;
