import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { Context } from '../../types/context';
import type { CartQuery } from '../../types/GraphQL';
/**
 * Fetches a cart by its ID
 * @param context VSF context
 * @param cartId ID of the cart to fetch
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function cart(context: Context, cartId: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<CartQuery>>;
