import { ExecutionResult } from 'graphql';
import { CustomQuery } from '@vue-storefront/core';
import { Context } from '../../types/context';
import { DeleteCustomerAddressMutation } from '../../types/GraphQL';
/**
 * Deletes a customer address.
 *
 * @param context VSF Context
 * @param addressId ID of the customer address to delete
 * @param customQuery (optional) - custom GraphQL query that extends the default query
 */
export default function deleteCustomerAddress(context: Context, addressId: number, customQuery?: CustomQuery): Promise<ExecutionResult<DeleteCustomerAddressMutation>>;
