import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { PlaceOrderInput, PlaceOrderMutation } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Places an order for received cart.
 *
 * @param context VSF Context
 * @param input the order's input, containing the cart's ID
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function placeOrder(context: Context, input: PlaceOrderInput, customQuery?: CustomQuery): Promise<FetchResult<PlaceOrderMutation>>;
