import { CustomQuery } from '@vue-storefront/core';
import type { ApolloQueryResult } from '@apollo/client/core';
import type { ProductDetailsQuery } from '../../types/GraphQL';
import type { Context } from '../../types/context';
import type { GetProductSearchParams } from '../../types/API';
/**
 * Fetches the list of products with details using sort, filters and pagination.
 *
 * @param context VSF context
 * @param searchParams params with sort, filters and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function productDetail(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery): Promise<ApolloQueryResult<ProductDetailsQuery>>;
