import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { RemoveCouponFromCartInput, RemoveCouponFromCartMutation } from '../../types/GraphQL';
/**
 * Removes a coupon from a cart
 * @param context VSF context
 * @param input ID of the cart and coupon to remove
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function removeCouponFromCart(context: Context, input: RemoveCouponFromCartInput, customQuery?: CustomQuery): Promise<FetchResult<RemoveCouponFromCartMutation>>;
