import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { RequestPasswordResetEmailMutation, RequestPasswordResetEmailMutationVariables } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Requests a password reset email to be sent to the user
 * @param context VSF Context
 * @param input Email for which to request a password reset
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function requestPasswordResetEmail(context: Context, input: RequestPasswordResetEmailMutationVariables, customQuery?: CustomQuery): Promise<FetchResult<RequestPasswordResetEmailMutation>>;
