import type { ApolloQueryResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { RoutableInterface } from '../../types/GraphQL';
import type { Context } from '../../types/context';
export declare type RouteQuery<ROUTE_TYPE> = {
    route: ROUTE_TYPE;
};
/**
 * Returns the canonical URL for a specified product, category, or CMS page
 *
 * @param context VSF Context
 * @param url the URL to be resolved
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function route(context: Context, url: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<RouteQuery<RoutableInterface>>>;
