import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CustomerAddressInput, UpdateCustomerAddressMutation } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Updates a customer address.
 *
 * @param context VSF Context
 * @param params object with address identifier and the updated data
 * @param [customQuery] (optional) custom GraphQL query that extends the default query
 */
export default function updateCustomerAddress(context: Context, params: {
    addressId: number;
    input: CustomerAddressInput;
}, customQuery?: CustomQuery): Promise<FetchResult<UpdateCustomerAddressMutation>>;
