import type { ApolloQueryResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { UrlResolverQuery } from '../../types/GraphQL';
import type { Context } from '../../types/context';
/**
 * Fetches the resolver for received URL.
 *
 * @param context VSF Context
 * @param url the URL to be resolved
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 * @deprecated - use route instead
 */
export default function urlResolver(context: Context, url: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<UrlResolverQuery>>;
